Package org.eclipse.emf.cdo.edit

# Class CDOItemProviderAdapter.CDOPropertyDescriptor.DefaultLabelProvider

java.lang.Object
org.eclipse.emf.cdo.edit.CDOItemProviderAdapter.CDOPropertyDescriptor.DefaultLabelProvider

All Implemented Interfaces:
  `IItemLabelProvider`

Enclosing class:
  `CDOItemProviderAdapter.CDOPropertyDescriptor`

@Deprecated public static class CDOItemProviderAdapter.CDOPropertyDescriptor.DefaultLabelProvider extends Object implements IItemLabelProvider
Deprecated.
As of 4.4 not used any more.
A default implementation of `IItemLabelProvider`.

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`DefaultLabelProvider()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getImage(Object object)`
Deprecated.
`String`
`getText(Object object)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultLabelProvider

@Deprecated public DefaultLabelProvider()
Deprecated.

## Method Details

### getImage

@Deprecated public Object getImage(Object object)
Deprecated.

Specified by:
  `getImage` in interface `IItemLabelProvider`

### getText

@Deprecated public String getText(Object object)
Deprecated.

Specified by:
  `getText` in interface `IItemLabelProvider`